Bug 478293 - ldconfig: /etc/ld.so.conf.d/kernel-2.6.27.9-159.fc10.i686.conf:6: duplicate hwcap 0 nosegneg
ldconfig: /etc/ld.so.conf.d/kernel-2.6.27.9-159.fc10.i686.conf:6: duplicate h...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 06:14 EST by Eddie Lania
Modified: 2009-04-02 16:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-02 16:36:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eddie Lania 2008-12-27 06:14:21 EST
Description of problem: After update via yum to kernel 2.6.27.9-159.fc10.i686 running ldconfig -v gives the message "ldconfig: /etc/ld.so.conf.d/kernel-2.6.27.9-159.fc10.i686.conf:6: duplicate hwcap 0 nosegneg"

Version-Release number of selected component (if applicable): 2.6.27.9-159.fc10.i686


How reproducible: Install kernel 2.6.27.9-159.fc10.i686 via yum.


Steps to Reproduce:
1. open a terminal
2. Execute "ldconfig -v | grep duplicate"


Actual results: ldconfig: /etc/ld.so.conf.d/kernel-2.6.27.9-159.fc10.i686.conf:6: duplicate hwcap 0 nosegneg


Expected results: No such message.


Additional info:
Comment 1 Eddie Lania 2009-03-28 11:44:37 EDT
in /etc/ld.so.conf/kernel-2.6.27.19-170.2.35.fc10.i686.conf:

-------

# This directive teaches ldconfig to search in nosegneg subdirectories
# and cache the DSOs there with extra bit 0 set in their hwcap match
# fields.  In Xen guest kernels, the vDSO tells the dynamic linker to
# search in nosegneg subdirectories and to match this extra hwcap bit
# in the ld.so.cache file.
hwcap 0 nosegneg

-------



Now, when you have more then one kernel installed you also have more of these entries in /etc/ld.so.conf which causes the message "duplicate hwcap 0 nosegneg".

I don't know if it is harmful.
Comment 2 Chuck Ebbert 2009-04-02 16:36:50 EDT
This is normal.

Note You need to log in before you can comment on or make changes to this bug.